Bug 106069 - redhat-config-network-cmd --profile XX does not update the ifcfg-* files correctly
redhat-config-network-cmd --profile XX does not update the ifcfg-* files corr...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks: rcn-profiling
  Show dependency treegraph
 
Reported: 2003-10-02 09:59 EDT by Dave Strickland
Modified: 2007-04-18 12:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:49:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Strickland 2003-10-02 09:59:53 EDT
Description of problem:

redhat-config-network-cmd --profile XX does not update the ifcfg-* 
scripts in /etc/sysconfig/network-scripts/ with the ones from the profile
directories.

Without updating these files the basic profile handling in RH9 
doesn't work (for me at least). NOTE that the other files from the
profile directories (network, resolv.cong, hosts) are successfully and
accurately copied from the appropriate profile directory.

The errata regarding previous (closed) bug in this profile handling stuff
doesn't help (see http://rhn.redhat.com/errata/RHBA-2003-183.html ), as it
suggests updating -- but I already have the very latest version mentioned.

Version-Release number of selected component (if applicable):

These are all the packages I think might be involved....

redhat-config-network-tui-1.2.15-1
redhat-config-network-1.2.15-1
rhpl-0.93.4-1
initscripts-7.14-1

How reproducible:


Steps to Reproduce:
1. Create two profiles with different ifcfg-* files.
2. Run redhat-config-network-cmd --profile (etc) to change between profiles.
3. Any of these produce the same answer:
(A) Check modification times of core networking component, in particular
/etc/sysconfig/network-scripts/ifcfg-* scripts. Files have not been updated (see
example below)
(B) Do service network restart to very that network devices are controlled
by the /etc/sysconfig/network-scripts/ (old/unmodified/wroong) versions, and not
the versions in the various /etc/sysconfig/networking/profiles directories.
(C) Look in the ifcfg files - they're not the versions from the profile
directories.    

Actual results:

All the networking files from the profile directory, EXCEPT the ifcfg-* files,
are succesfully and accurately placed in the normal places.

Example/proof - I alter the profile to be the "home profile" at 
9:11am and look at file modification times. The files in the two profile
directory are...

root mordio:/etc/sysconfig/networking 09:10 AM>ls profiles/home/
hosts  ifcfg-eth0  ifcfg-eth1  network  resolv.conf

root mordio:/etc/sysconfig/networking 09:45 AM>ls profiles/office
hosts  ifcfg-eth0  ifcfg-eth1  network  resolv.conf

Although they have the same names, networking eth0 is off, and eth1 on,
in the home profile, and vice-versa in the office profile. Various other
settings are different.

root mordio:/etc/sysconfig/networking 09:11 AM>redhat-config-network-cmd
--profile home

root mordio:/etc/sysconfig/networking 09:12 AM>ls -l /etc/hosts /etc/resolv.conf
/etc/sysconfig/network /etc/sysconfig/network-scripts/ifcfg-eth[01]
-rw-r--r--    2 root     root          215 Oct  2 09:11 /etc/hosts
-rw-r--r--    3 root     root           89 Oct  2 09:11 /etc/resolv.conf
-rw-r--r--    1 root     root           94 Oct  2 09:11 /etc/sysconfig/network
-rw-r--r--    5 root     root          214 Oct  1 23:58
/etc/sysconfig/network-scripts/ifcfg-eth0
-rw-------    5 root     root          302 Oct  1 23:58
/etc/sysconfig/network-scripts/ifcfg-eth1

OK - hosts,resolv.conf,network are all modified (I've checked this by 
actually inspecting the contents of the files), BUT the ifcfg-eth* 
files remain unmodified.

Try again, this time with the office profile...

root mordio:/etc/sysconfig/networking/profiles 09:21
AM>redhat-config-network-cmd --profile office

root mordio:/etc/sysconfig/networking 09:21 AM>ls -l /etc/hosts /etc/resolv.conf
/etc/sysconfig/network /etc/sysconfig/network-scripts/ifcfg-eth[01]
-rw-r--r--    2 root     root          232 Oct  2 09:21 /etc/hosts
-rw-r--r--    2 root     root           94 Oct  2 09:21 /etc/resolv.conf
-rw-r--r--    1 root     root           96 Oct  2 09:21 /etc/sysconfig/network
-rw-r--r--    5 root     root          214 Oct  1 23:58
/etc/sysconfig/network-scripts/ifcfg-eth0
-rw-------    5 root     root          302 Oct  1 23:58
/etc/sysconfig/network-scripts/ifcfg-eth1

The same thing happens at boot using netprofile with grub - the 
hosts.resolv.conf and network scripts are updated/overwritten correctly, 
but not the ifcfg-* scripts.

Expected results:

The ifcfg-* scripts in /etc/sysconfig/network-scripts/ should be overwritten
witth the ones from the appropriate profile, as otherwise the network won't work
properly (which device to activate on boot, whether to use dhcp verse static
etc, in my case)


Additional info:
Comment 1 Harald Hoyer 2003-10-02 10:46:05 EDT
huh? I thought I fixed this? ... 
Comment 2 Bill Nottingham 2006-08-05 00:07:22 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 13:49:55 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.